summaryrefslogtreecommitdiffstats
path: root/abs/core/linhes-scripts/linhes_update3.sh
diff options
context:
space:
mode:
authorBritney Fransen <brfransen@gmail.com>2011-10-08 02:16:18 (GMT)
committerBritney Fransen <brfransen@gmail.com>2011-10-08 02:16:18 (GMT)
commit7a6080609ec0be6d9f62b8890f9eacbd8e053273 (patch)
treeb0f1a509c5ed82fcca90a349a503438f7ab2954b /abs/core/linhes-scripts/linhes_update3.sh
parent04949a18e6ea4a313d101911dcdc689d029ddcb1 (diff)
downloadlinhes_pkgbuild-7a6080609ec0be6d9f62b8890f9eacbd8e053273.zip
linhes_pkgbuild-7a6080609ec0be6d9f62b8890f9eacbd8e053273.tar.gz
linhes_pkgbuild-7a6080609ec0be6d9f62b8890f9eacbd8e053273.tar.bz2
linhes-scripts: linhes_update scripts: update osd_cat to use osd_cat.cfg settings
Diffstat (limited to 'abs/core/linhes-scripts/linhes_update3.sh')
-rw-r--r--abs/core/linhes-scripts/linhes_update3.sh17
1 files changed, 14 insertions, 3 deletions
diff --git a/abs/core/linhes-scripts/linhes_update3.sh b/abs/core/linhes-scripts/linhes_update3.sh
index 5dc0b4d..72641db 100644
--- a/abs/core/linhes-scripts/linhes_update3.sh
+++ b/abs/core/linhes-scripts/linhes_update3.sh
@@ -1,17 +1,28 @@
#!/bin/bash
+#----------------------------------------------------------------------------
+. /etc/osd_cat.cfg || {
+ color=yellow
+ outline=2
+ outlinecolour=black
+ shadow=0
+ shadowcolour=black
+ font="-adobe-helvetica-bold-*-*-*-34-*-*-*-*-*-*-*"
+}
+#----------------------------------------------------------------------------
+
sudo killall osd_cat
cat /tmp/to_be_upgraded | sed 's/ /\n/g' | sed '/^$/d' | grep - > /tmp/to_be_upgraded2
COUNT=$(wc -l /tmp/to_be_upgraded2 | awk '{print $1}')
if [ $COUNT -lt 20 ]
then
- cat /tmp/to_be_upgraded2 | osd_cat -p top -f"-adobe-courier-bold-*-*-*-34-*-*-*-*-*" -d 12 -A centre -l 20
+ cat /tmp/to_be_upgraded2 | osd_cat --lines=20 --pos=top --align=center --delay=12 --color=$color --outline=$outline --outlinecolour=$outlinecolour --shadow=$shadow --shadowcolour=$shadowcolour --font=$font &
else
- cat /tmp/to_be_upgraded2 | osd_cat -p top -f"-adobe-courier-bold-*-*-*-34-*-*-*-*-*" -d 1 -A centre -l 20 -w
+ cat /tmp/to_be_upgraded2 | osd_cat --lines=20 --pos=top --align=center --delay=1 --wait --color=$color --outline=$outline --outlinecolour=$outlinecolour --shadow=$shadow --shadowcolour=$shadowcolour --font=$font &
fi
if grep kernel26 /tmp/to_be_upgraded2
then
killall -9 osd_cat
- echo -e "Please note:\The kernel will be upgraded.\nThis will require a reboot.\nPlease do so when no jobs are running." | osd_cat -p middle -s 5 -f"-adobe-courier-bould-*-*-*-34-*-*-*-*-*" -d 10 -A centre
+ echo -e "Please note:\The kernel will be upgraded.\nThis will require a reboot.\nPlease do so when no jobs are running." | osd_cat --pos=middle --align=center --delay=10 --color=$color --outline=$outline --outlinecolour=$outlinecolour --shadow=$shadow --shadowcolour=$shadowcolour --font=$font
else
exit
fi